Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

visa.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: visa.php 9407 2002-04-10 11:49:02Z br $
5 //
6 // Created on: <08-Feb-2001 14:11:48 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlocale.php" );
30 // include_once( "classes/ezcurrency.php" );
31 // include_once( "classes/ezhttptool.php" );
32 // include_once( "classes/ezcctool.php" );
33
34 $ini =& eZINI::instance( 'site.ini' );
35
36 $Language = $ini->variable( "eZTradeMain", "Language" );
37
38 if ( !isset( $PaymentType ) )
39 $PaymentType = false;
40
41 if ( isset( $Action ) && $Action == "Verify" )
42 {
43 // add clearing code here
44 if ( eZCCTool::checkCC( $CCNumber, $ExpierMonth, $ExpierYear ) )
45 $PaymentSuccess = true;
46 }
47 else
48 {
49 $PaymentSuccess = false;
50 }
51
52 $t = new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
53 "kernel/eztrade/user/intl/", $Language, "visa.php" );
54
55 $t->set_file( "visa_tpl", "visa.tpl" );
56
57 $t->setAllStrings();
58
59 // $ChargeTotal is the value to charge the customer with
60
61 $t->set_var( "order_id", $PreOrderID );
62 $t->set_var( "payment_type", $PaymentType );
63
64 $t->pparse( "output", "visa_tpl" );
65
66 ?>
eZCCTool\checkCC
static checkCC( $CCNumber, $month, $year)
Definition: ezcctool.php:35
eZTemplate
Definition: eztemplate.php:107
$Action
$Action
Definition: companysearch.php:80
$PaymentSuccess
$PaymentSuccess
Definition: invoice.php:29
$PreOrderID
$PreOrderID
Definition: payment.php:135
$t
$t
Definition: visa.php:52
$Language
$Language
Definition: visa.php:36
$ini
$ini
Definition: visa.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.